setColor {iSPlot} | R Documentation

## Sets the color for coloring points

### Description

setColor sets the color when the callback function is to color points. setColor provides the same functionality that is normally available through a color browser when the user is using the GUI. Thus, the setColor function is a command line function that is only meant to be called when the user is not using the GUI.

### Usage

    setColor(newColor)

### Arguments

`newColor` | A character string referring to a color (can either be a string like "blue" or can be a return value from the rgb function

### Author(s)

Elizabeth Whalen

### See Also

`setCallFunc`, `rgb`, `getColor`

### Examples

      if (interactive())
      {
        loadData("USArrests")
        setActiveMVC("USArrests")
        createSPlot(varx="Murder", vary="Assault")
        setCallFunc("leftButtonClick", "color a point")
        setColor(rgb(0,1,0))
        # now left click on a point in the plot
      }

[Package iSPlot version 1.12.0 Index]